<?php
/**
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

function NeoLegalBuildRoute( &$query ) {
	
	static $items;

	$segments	= array();
	$itemid		= null;
	
	$db =& JFactory::getDBO();
	
	$menu	= &JSite::getMenu();
    $item	=& $menu->getActive();
	
	if ( array_key_exists( 'view', $query ) ) {
		$view = $query['view'];
	} else {
		$view = null;
	}
	
	$sql = " SELECT legals_alias, use_terms_alias, policy_alias "
	. "\n FROM #__neolegal "
	. "\n WHERE id = 1 ";
	$db->setQuery( $sql );
	if ( !$db->query() ) {
		echo $db->getErrorMsg();
	}
	$legals = $db->loadObject();
	
	if ( $item && $item->query['option'] == 'com_neolegal' ) {
		
		if ( $view != $item->query['view'] ) {
			
			switch( $view ) {
				
				case 'use' : 
					$segments[] = $legals->use_terms_alias;
				break;
				
				case 'policy' : 
					$segments[] = $legals->policy_alias;
				break;
				
				case 'legals' :
					$segments[] = $legals->legals_alias;
				break;
			}	
		}
	}
	if (isset($query['view'])) unset($query['view']) ;
	
	return $segments;
}


function NeoLegalParseRoute( $segments ) {
	
	$vars	= array();

	// Get the active menu item.
	$menu	= &JSite::getMenu();
	$item	= &$menu->getActive();
	
	$db =& JFactory::getDBO();
	
	$query = " SELECT legals_alias, use_terms_alias, policy_alias "
	. "\n FROM #__neolegal "
	. "\n WHERE id = 1 ";
	$db->setQuery( $query );
	if ( !$db->query() ) {
		echo $db->getErrorMsg();
	}
	$legals = $db->loadObject();
	
	$segments[0] = str_replace( ':', '-', $segments[0] );
	
	switch( $segments[0] ) {
		
		case $legals->use_terms_alias : 
			$view = 'use';
		break;
		
		case $legals->policy_alias : 
			$view = 'policy';
		break;
		
		default :		
			$view = 'legals';
	}
	
	$vars['view'] = $view;

	return $vars;
}