<?php
/**
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 

$legals = $this->legals;

$display_company_legals = ( strlen( $legals->company_status.$legals->company_name.$legals->company_director.$legals->company_capital.$legals->company_siren.$legals->company_siret.$legals->company_ape.$legals->company_tva.$legals->company_cnil ) > 0 );
$display_contact_legals = ( strlen( $legals->company_address.$legals->company_address_complement.$legals->company_postbox.$legals->company_postcode.$legals->company_town.$legals->company_state.$legals->company_country.$legals->company_phone.$legals->company_fax.$legals->company_mobile.$legals->company_url ) > 0 );
$display_bank_legals = ( strlen( $legals->bank_name.$legals->bank_code.$legals->bank_account.$legals->bank_iban.$legals->bank_swift ) > 0 );
$display_editor_legals = ( strlen( $legals->editor_name.$legals->editor_address.$legals->editor_address_complement.$legals->editor_postbox.$legals->editor_postcode.$legals->editor_city.$legals->editor_country.$legals->editor_email.$legals->editor_phone.$legals->editor_fax.$legals->editor_url ) > 0 );
$display_host_legals = ( strlen( $legals->host_name.$legals->host_address.$legals->host_address_complement.$legals->host_postbox.$legals->host_postcode.$legals->host_city.$legals->host_country.$legals->host_email.$legals->host_phone.$legals->host_fax.$legals->host_url ) > 0 );

if ( $this->params->def( 'show_page_title', 1 ) ) { ?>
	<h1 class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
		<?php echo $this->escape( $this->params->get( 'page_title' ) ); ?>
	</h1>
<?php } ?>

<?php if ( $this->legals->legals_display_title ) { ?>
	<h2 class="contentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
		<?php echo $this->legals->legals_title; ?>
	</h2>
<?php } ?>

<table width="100%">
	<tbody>
		
		<?php if ( $display_company_legals ) { ?>
			<tr>
				<td colspan="2" class="sectiontableheader">
					<?php echo JText::_( 'Company' ); ?>
				</td>
			</tr>
			<tr>
				<td width="50%" valign="top">
					<table class="adminform" width="100%">
						<?php echo $this->displayInfo( JText::_( 'Status' ), $this->legals->company_status ); ?>
						<?php echo $this->displayInfo( JText::_( 'Name' ), $this->legals->company_name ); ?>
						<?php echo $this->displayInfo( JText::_( 'Director' ), $this->legals->company_director ); ?>
						<?php echo $this->displayInfo( JText::_( 'Capital' ), $this->legals->company_capital ); ?>
					</table>
				</td>
				<td width="50%" valign="top">
					<table class="adminform" width="100%">
						<?php echo $this->displayInfo( JText::_( 'SIREN' ), $this->legals->company_siren ); ?>
						<?php echo $this->displayInfo( JText::_( 'SIRET' ), $this->legals->company_siret ); ?>
						<?php echo $this->displayInfo( JText::_( 'APE' ), $this->legals->company_ape ); ?>
						<?php echo $this->displayInfo( JText::_( 'TVA' ), $this->legals->company_tva ); ?>
						<?php echo $this->displayInfo( JText::_( 'CNIL' ), $this->legals->company_cnil ); ?>
					</table>
				</td>
			</tr>
		<?php } ?>
		
		<?php if ( $display_contact_legals ) { ?>
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr>
				<td class="sectiontableheader" colspan="2"><?php echo JText::_( 'Contact' ); ?></td>
			</tr>
			<tr>
				<td width="50%" valign="top">
					<table class="adminform" width="100%">
						<?php echo $this->displayInfo( JText::_( 'Address' ), $this->legals->company_address ); ?>
						<?php echo $this->displayInfo( JText::_( 'Address complement' ), $this->legals->company_address_complement ); ?>
						<?php echo $this->displayInfo( JText::_( 'Postbox' ), $this->legals->company_postbox ); ?>
						<?php echo $this->displayInfo( JText::_( 'Postcode' ), $this->legals->company_postcode ); ?>
						<?php echo $this->displayInfo( JText::_( 'City' ), $this->legals->company_town ); ?>
						<?php echo $this->displayInfo( JText::_( 'State' ), $this->legals->company_state ); ?>
						<?php echo $this->displayInfo( JText::_( 'Country' ), $this->legals->company_country ); ?>
					</table>
				</td>
				<td width="50%" valign="top">
					<table class="adminform" width="100%">
						<?php echo $this->displayInfo( JText::_( 'Phone' ), $this->legals->company_phone ); ?>
						<?php echo $this->displayInfo( JText::_( 'Fax' ), $this->legals->company_fax ); ?>
						<?php echo $this->displayInfo( JText::_( 'Mobile' ), $this->legals->company_mobile ); ?>
						<?php echo $this->displayInfo( JText::_( 'Email' ), $this->legals->company_email, 'email' ); ?>
						<?php echo $this->displayInfo( JText::_( 'Website' ), $this->legals->company_url, 'url' ); ?>
					</table>
				</td>
			</tr>
		<?php } ?>
		
		<?php if ( $display_bank_legals ) { ?>
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr>
				<td class="sectiontableheader" colspan="2"><?php echo JText::_( 'Bank' ); ?></td>
			</tr>
			<tr>
				<td width="50%" valign="top">
					<table class="adminform" width="100%">
						<?php echo $this->displayInfo( JText::_( 'Name' ), $this->legals->bank_name ); ?>
						<?php echo $this->displayInfo( JText::_( 'Code' ), $this->legals->bank_code ); ?>
						<?php echo $this->displayInfo( JText::_( 'Account' ), $this->legals->bank_account ); ?>					
					</table>
				</td>
				<td width="50%" valign="top">
					<table class="adminform" width="100%">
						<?php echo $this->displayInfo( JText::_( 'IBAN' ), $this->legals->bank_iban ); ?>
						<?php echo $this->displayInfo( JText::_( 'SWIFT' ), $this->legals->bank_swift ); ?>
					</table>
				</td>
			</tr>
		<?php } ?>
		
		<?php if ( $display_editor_legals ) { ?>
		
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr>
				<td colspan="2" class="sectiontableheader" ><?php echo JText::_( 'Editor' ); ?></td>
			</tr>
			<tr>
				<td width="50%" valign="top">
					<table class="adminform" width="100%">
						<?php echo $this->displayInfo( JText::_( 'Name' ), $this->legals->editor_name ); ?>
						<?php echo $this->displayInfo( JText::_( 'Address' ), $this->legals->editor_address ); ?>
						<?php echo $this->displayInfo( JText::_( 'Address complement' ), $this->legals->editor_address_complement ); ?>
						<?php echo $this->displayInfo( JText::_( 'Postbox' ), $this->legals->editor_postbox ); ?>
						<?php echo $this->displayInfo( JText::_( 'Postcode' ), $this->legals->editor_postcode ); ?>
						<?php echo $this->displayInfo( JText::_( 'City' ), $this->legals->editor_city ); ?>
						<?php echo $this->displayInfo( JText::_( 'Country' ), $this->legals->editor_country ); ?>
					</table>
				</td>
				<td width="50%" valign="top">
					<table class="adminform" width="100%">
						<?php echo $this->displayInfo( JText::_( 'Email' ), $this->legals->editor_email, 'email' ); ?>
						<?php echo $this->displayInfo( JText::_( 'Phone' ), $this->legals->editor_phone ); ?>
						<?php echo $this->displayInfo( JText::_( 'Fax' ), $this->legals->editor_fax ); ?>					
						<?php echo $this->displayInfo( JText::_( 'Website' ), $this->legals->editor_url, 'url' ); ?>
					</table>
				</td>
			</tr>
		<?php } ?>
		
		<?php if ( $display_host_legals ) { ?>
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr>
				<td class="sectiontableheader" colspan="2"><?php echo JText::_( 'Host' ); ?></td>
			</tr>
			<tr>
				<td width="50%" valign="top">
					<table class="adminform" width="100%">
						<?php echo $this->displayInfo( JText::_( 'Name' ), $this->legals->host_name ); ?>
						<?php echo $this->displayInfo( JText::_( 'Address' ), $this->legals->host_address ); ?>
						<?php echo $this->displayInfo( JText::_( 'Address complement' ), $this->legals->host_address_complement ); ?>
						<?php echo $this->displayInfo( JText::_( 'Postbox' ), $this->legals->host_postbox ); ?>
						<?php echo $this->displayInfo( JText::_( 'Postcode' ), $this->legals->host_postcode ); ?>
						<?php echo $this->displayInfo( JText::_( 'City' ), $this->legals->host_city ); ?>
						<?php echo $this->displayInfo( JText::_( 'Country' ), $this->legals->host_country ); ?>
					</table>
				</td>
				<td width="50%" valign="top">
					<table class="adminform" width="100%">
						<?php echo $this->displayInfo( JText::_( 'Email' ), $this->legals->host_email, 'email' ); ?>
						<?php echo $this->displayInfo( JText::_( 'Phone' ), $this->legals->host_phone ); ?>
						<?php echo $this->displayInfo( JText::_( 'Fax' ), $this->legals->host_fax ); ?>					
						<?php echo $this->displayInfo( JText::_( 'Website' ), $this->legals->host_url, 'url' ); ?>
					</table>
				</td>
			</tr>
		<?php } ?>
		
	</tbody>
</table>

<br />

<?php if ( $this->params->get('show_link_use') || $this->params->get('show_link_policy' ) ) { ?>
	<ul>
		<?php if ( $this->params->get( 'show_link_use' ) ) { ?>
			<li>
				<a class="category" href="<?php echo JRoute::_( NeoLegalHelperRoute::getUseTermsRoute( $this->Itemid ) ); ?>">
					<?php echo $this->legals->use_terms_title; ?>
				</a>
			</li>
		<?php } ?>
		<?php if ( $this->params->get( 'show_link_policy' ) ) { ?>
			<li>
				<a class="category" href="<?php echo JRoute::_( NeoLegalHelperRoute::getPolicyRoute( $this->Itemid ) ); ?>">
					<?php echo $this->legals->policy_title; ?>
				</a>
			</li>
		<?php } ?>
	</ul>
	<br />
<?php } ?>