<?php
/**
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the NeoLegal component
 * 
 * @package		Joomla
 * @subpackage	NeoLegal
 */
class NeoLegalViewLegals extends JView {
	
	function display( $tpl = null ) {
		
		global $mainframe;
		
		// Initialize some variables
		$document	= &JFactory::getDocument();
		$pathway	= &$mainframe->getPathway();
		
		$menus = &JSite::getMenu();
		$menu  = $menus->getActive();
		$itemid = $menu->id;
		
		$model =& JModel::getInstance( 'legals', 'neolegalmodel' );
		$legals =& $model->getData();
		
		
		// Get the page/component configuration
		$params = &$mainframe->getParams();
		
		// Default values
		if ( $params->get( 'show_link_use' ) == '' ) {
			$params->set( 'show_link_use', 1 );
		}
		
		if ( $params->get( 'show_link_policy' ) == '' ) {
			$params->set( 'show_link_policy', 1 );
		}
		
		
		// Because the application sets a default page title, we need to get it right from the menu item itself
		if ( is_object( $menu ) ) {
			$menu_params = new JParameter( $menu->params );
			if ( !$menu_params->get( 'page_title') ) {
				$params->set( 'page_title', $menu->name );
			}
		} else {
			$params->set( 'page_title', JText::_( 'NeoLegal' ) );
		}
		
		// Set title
		$document->setTitle( $legals->legals_meta_title ? $legals->legals_meta_title : $legals->legals_title );
		
		// Set breadcrumbs
		$pathway->addItem( $legals->legals_title, '' );
		
		// Meta Data
		if ( $legals->legals_meta_description ) {
			$document->setDescription( $legals->legals_meta_description );
		}
		if ( $legals->legals_meta_keywords ) {
			$document->setMetadata( 'keywords', $legals->legals_meta_keywords );
		}
		
		
		$this->assignRef( 'params',	$params );		
		$this->assignRef( 'legals',	$legals );
		$this->assignRef( 'Itemid',	$itemid );
		
		parent::display($tpl);
	}
	
	
	function displayInfo( $string, $info, $type='' ) {
		
		if ( !$info || $info == 'http://' ) return;
		
		switch( $type ) {
			case 'url' : ; $info = '<a href="'.$info.'" target="_blank">'.$info.'</a>'; break;
			case 'email' : $info = JHTML::_( 'email.cloak', $info, 0 ); break;
		}
		
		return '<tr><td class="key" width="15%">'.$string.'</td><td width="35%">'.$info.'</td></tr>';
		
		if ( $type == "http://" ) $target = 'target="_blank"';	
		if ( $info && $type != '' && (substr($info, 0, strlen($type)) != $type) ) {
			$info = '<a href="'.$type.$info.'" '.$target.'>'.$info.'</a>';
		}
		echo $string.' : '.$info.'<br />';
		return;
	}
}
