<?php
/**
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the NeoLegal component
 *
 * @static
 * @package		Joomla
 * @subpackage	NeoLegal 
 */
class NeoLegalViewUse extends JView {
	
	function display( $tpl = null ) {
		
		global $mainframe;
		
		// Initialize some variables
		$document	= &JFactory::getDocument();
		$pathway	= &$mainframe->getPathway();
		
		$menus = &JSite::getMenu();
		$menu  = $menus->getActive();
		$itemid = $menu->id;
		
		$model =& JModel::getInstance( 'legals', 'neolegalmodel' );
		$legals =& $model->getData();
		
		// Get the page/component configuration
		$params = &$mainframe->getParams();
		
		// Default values
		if ( $params->get( 'show_link_legals' ) == '' ) {
			$params->set( 'show_link_legals', 1 );
		}
		
		if ( $params->get( 'show_link_policy' ) == '' ) {
			$params->set( 'show_link_policy', 1 );
		}
		
		
		// Because the application sets a default page title, we need to get it right from the menu item itself
		if ( is_object( $menu ) ) {
			$menu_params = new JParameter( $menu->params );
			if ( !$menu_params->get( 'page_title') ) {
				$params->set( 'page_title', $menu->name );
			}
		} else {
			$params->set( 'page_title', JText::_( 'NeoLegal' ) );
		}
		
		// Set title
		$document->setTitle( $legals->use_terms_title ? $legals->use_terms_title : $legals->use_terms_meta_title );
		
		// Set breadcrumbs
		$pathway->addItem( $legals->use_terms_title, '' );
		
		// Meta Data
		if ( $legals->use_terms_meta_description ) {
			$document->setDescription( $legals->use_terms_meta_description );
		}
		if ( $legals->use_terms_meta_keywords ) {
			$document->setMetadata( 'keywords', $legals->use_terms_meta_keywords );
		}		
		
		
		// Prepare use terms
		$legals->use_terms = JHTML::_( 'content.prepare', $legals->use_terms );
		
		
		
		// HACK CPCV
		// Parse the terms 
		$legals->use_terms = str_replace("{NOM_SITE}", $mainframe->getCfg('sitename'), $legals->use_terms);
		$legals->use_terms = str_replace("{URL_SITE}", $mainframe->getCfg('host'), $legals->use_terms);
		//Robots - Nofollow
		$document->setMetadata( 'robots', "noindex nofollow" );
		
		
		
		
		$this->assignRef( 'params',	$params );		
		$this->assignRef( 'legals',	$legals );
		$this->assignRef( 'Itemid',	$itemid );
		
		parent::display($tpl);
	}
}
?>